STELLARIUM(1)

NAME
stellarium - A real-time realistic planetarium

SYNOPSIS
stellarium [options]

DESCRIPTION
Stellarium is a free GPL software which renders realistic skies in real time with OpenGL. It is available for Linux/Unix, Windows and MacOSX. With Stellarium, you really see what you can see with your eyes, binoculars or a small telescope.

OPTIONS

--version (or -v)
    Print program name and version and exit.

--help (or -h)
    Print a brief synopsis of program options and exit.

--config-file name (or -c name)
    Use an name for the config filename instead of "config.ini".

--user-dir dir (or -u dir)
    Instead of using the default user data directory ($HOME/.stellarium on *nix operating systems), use dir.

--full-screen yes|no (or -f yes|no)
    With argument yes or no over-rides the full screen setting in the config file. From version 0.10.0 the specified setting will become the default for subsequent invocations of Stellarium.

--screenshot-dir dir
    Set the directory into which screenshots will be saved to dir, instead of the default (which is $HOME on *nix operating systems).

--home-planet planet-name
    Specify observer planet (planet-name is an English name, and should refer to an object defined in the ssystem.ini file).

--altitude alt
    Specify the initial observer altitude, where alt is the altitude in meters.

--longitude lon
    Specify the initial observer longitude, where lon is the longitude. The format is illustrated by this example: +4d16'12" which refers to 4 degrees, 16 minutes and 12 arc seconds East. Westerly longitudes should be prefixed with "-".

--latitude lat
    Specify the initial observer latitude, where lat is the latitude. The format is illustrated by this example: +53d58'16.65" which refers to 53 degrees, 58 minutes and 16.65 arc seconds North. Southerly latitudes should be prefixed with "-".

--list-landscapes
    Print a list of value landscape IDs and exit.

--landscape id
    Start using landscape whose ID (dir name), as seen in the output of --list-landscapes.

--sky-date date
    Specify sky date in format yyyymmdd.

--sky-time time
    Specify sky time in format hh:mm:ss.

--fov fov
    Specify the field of view (fov degrees).

--projection-type p
    Specify projection type, p. Permitted values of p are: equalarea, stereographic, fisheye, cylinder, mercator, perspective, and orthographic.

RETURN VALUE

0   Completed successfully.

[other]
    Some sort of error.

FILES
Note: file locations on non-*nix operating systems (include OSX) may vary. Please refer to the the Stellarium User Guide for more details, as well as information on how to customise the Stellarium data files.

$HOME/.stellarium/
    This is the User Data Directory, which may be over-ridden using command line options. It contains the user's settings, extra landscapes, scripts, and can also be used to over-ride data files which are provided with the default install.

[install prefix]/share/stellarium/
    This is the Installation Data Directory. [install prefix] is defined at compile time and will typically be something like /usr or /usr/local.

[user data directory]/config.ini
    The main configuration file.

SEE ALSO
celestia(1).

NOTES
Sources of more information:

Websites
    Main website: <http://stellarium.org/>

    Wiki: <http://stellarium.org/wiki/>

    Forums: <http://sourceforge.net/forum/forum.php?forum_id=278769>

    Downloads: <https://sourceforge.net/project/showfiles.php?group_id=48857>

    Support Requests:

    Bug Tracker:

The Stellarium User Guide
    Visit the downloads page to get a PDF copy of the Stellarium User Guide.

BUGS
Please report bugs using the bug tracker link in the NOTES section of this page.

AUTHOR
Fabien ChA~©reau, Rob Spearman, Johan Meuris, Matthew Gates, Johannes Gajdosik, Nigel Kerr, Andras Mohari.

x14817

HISTORY

on: 2008-08-28, Initial version of this document.